Skip to main content
GET
/
v1
/
users
/
{id}
Get user
curl --request GET \
  --url https://api.hyperline.co/v1/users/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "usr_DKL4Xcb5VSa8CQ",
  "email": "john@example.com",
  "first_name": "John",
  "last_name": "Doe",
  "picture_url": null,
  "role_id": "rol_DKL4Xcb5VSa8CQ",
  "is_account_owner": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

id
string
required

User ID.

Example:

"usr_DKL4Xcb5VSa8CQ"

email
string<email>
required

User email address.

Example:

"john@example.com"

first_name
string | null
required

User first name.

Example:

"John"

last_name
string | null
required

User last name.

Example:

"Doe"

picture_url
string<uri> | null
required

User profile picture URL.

Example:

null

role_id
string | null
required

ID of the role assigned to the user.

Example:

"rol_DKL4Xcb5VSa8CQ"

is_account_owner
boolean
required

Whether the user is the account owner.

Example:

false